SIS900_SET_CAPABIL(9)

NAME
sis900_set_capability - set the media capability of network adapter.

SYNOPSIS

void sis900_set_capability (struct net_device * net_dev, struct mii_phy * phy);

ARGUMENTS

net_dev
    the net device to probe for

phy default PHY

DESCRIPTION

Set the media capability of network adapter according to mii status register. It's necessary before auto-negotiate.

AUTHORS
Ollie Lho, Lei Chun Chang.